Setting called websockets_encrypt does not work correctly
Description

When you set websockets_encrypt to false (via settings or even installer) and leave the websockets_ssl_cert/key settings as is (they

default to puppet cert/key), console will not work. The flag not to encrypt the communication will be passed to the HTML5 component

correctly, but the websockify program will be always spawned with certificates, therefore dropping non-secured connection.

Related issues:

Related to Foreman - Bug #11120: MigrateWebsocketsSetting fails with ReadOnly... Closed 07/15/2015

Related to Foreman - Bug #11121: websockets_encrypt validation fails with set... Closed 07/15/2015

Has duplicate Foreman - Bug #10332: encrypt_websockets = off is not working Duplicate 04/30/2015

Has duplicate Foreman - Bug #7557: websockets_encrypt setting is meaningless Duplicate 09/20/2014

Associated revisions

Revision 97c34475 - 07/14/2015 03:36 AM - Lukas Zapletal

Fixes #9603 - fixed websockets_* set of settings

History

#1 - 03/02/2015 08:24 AM - Dominic Cleal

- Category changed from Web Interface to Compute resources

#2 - 03/02/2015 08:32 AM - Lukas Zapletal

- Subject changed from Websocketify spawner does not honor websockets_encrypt setting to Setting called websockets_encrypt does not work

correctly

It's more complex, filed a patch already. Initially I set the Category to CR, but it did not seem like a good fit. Console could be better (as it can be bug

in websocketify). Anyway, thanks :-)

#3 - 03/02/2015 08:34 AM - Dominic Cleal

That's OK, I usually use the CR category for console related things.  Web Interface gets over-used :)

#4 - 04/30/2015 07:42 AM - Daniel Lobato Garcia

- Has duplicate Bug #10332: encrypt_websockets = off is not working added

#5 - 05/27/2015 11:19 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2219 added

- Pull request deleted ()

#6 - 07/14/2015 03:37 AM - Dominic Cleal

- translation missing: en.field_release set to 63
#7 - 07/14/2015 04:02 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 97c34475c9e674db6443b28e03a5e4d94d585f2e.

#8 - 07/15/2015 04:14 AM - Dominic Cleal

- Related to Bug #11120: MigrateWebsocketsSetting fails with ReadOnlyRecord when websockets_encrypt is in settings.yaml added

#9 - 07/15/2015 04:29 AM - Dominic Cleal

- Related to Bug #11121: websockets_encrypt validation fails with settings.yaml on empty DB added

#10 - 09/30/2015 08:52 AM - Stephen Benjamin

- Has duplicate Bug #7557: websockets_encrypt setting is meaningless added
